Page MenuHomePhabricator

SearchInputWidget removes entry on click instead of mouseup on clear button
Closed, ResolvedPublic

Description

SearchInputWidget is catching the first click on clear button in its input field to delete contents.
It should rather delete on mouse up in order to be able to move out when button got fail clicked.

Event Timeline

Volker_E created this task.Jan 26 2019, 2:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2019, 2:41 AM

Change 496869 had a related patch set uploaded (by Jforrester; owner: Esanders):
[oojs/ui@master] SearchInputWidget: Use click handler for indicator

https://gerrit.wikimedia.org/r/496869

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Mar 20 2019, 3:49 PM

Change 496869 merged by jenkins-bot:
[oojs/ui@master] SearchInputWidget: Use click handler for indicator

https://gerrit.wikimedia.org/r/496869

Volker_E moved this task from Reviewing to OOUI-0.31.1 on the OOUI board.Mar 21 2019, 5:23 AM
Volker_E edited projects, added OOUI (OOUI-0.31.1); removed OOUI.

Change 498143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF closed this task as Resolved.Mar 22 2019, 4:55 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 498143 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This patch landed in MediaWiki master in time for 1.33.0-wmf.23, which will go out to Wikimedia production from 2019-03-26.